package com.emsoft.grails

import com.emsoft.exceptions.ExceptionHelper
import org.codehaus.groovy.grails.web.taglib.exceptions.GrailsTagException

class TagAssert {

    static void hasAttr(String name, attrs, String tag) {
        if (!attrs.containsKey(name))
            ExceptionHelper.throwException(new GrailsTagException(
                    "Tag [$tag] is missing required attribute [$name]"))
    }
}
